package wenrgise.hrms.bean;

import java.io.Serializable;
import wenrgise.common.bean.BaseHeaderBean;

public class HrmMediclaimMasterHdrBean extends BaseHeaderBean implements Serializable {
  private String claimCode;
  
  private String txtClass;
  
  private String cadre;
  
  private boolean allEmp;
  
  private String dependents;
  
  private String txtClassId;
  
  private String txtCadreId;
  
  private String allEmployeeApplicable;
  
  public String getClaimCode() {
    return this.claimCode;
  }
  
  public void setClaimCode(String claimCode) {
    this.claimCode = claimCode;
  }
  
  public String getTxtClass() {
    return this.txtClass;
  }
  
  public void setTxtClass(String txtClass) {
    this.txtClass = txtClass;
  }
  
  public String getCadre() {
    return this.cadre;
  }
  
  public void setCadre(String cadre) {
    this.cadre = cadre;
  }
  
  public boolean getAllEmp() {
    return this.allEmp;
  }
  
  public void setAllEmp(boolean allEmp) {
    this.allEmp = allEmp;
  }
  
  public String getDependents() {
    return this.dependents;
  }
  
  public void setDependents(String dependents) {
    this.dependents = dependents;
  }
  
  public String getTxtClassId() {
    return this.txtClassId;
  }
  
  public void setTxtClassId(String txtClassId) {
    this.txtClassId = txtClassId;
  }
  
  public String getTxtCadreId() {
    return this.txtCadreId;
  }
  
  public void setTxtCadreId(String txtCadreId) {
    this.txtCadreId = txtCadreId;
  }
  
  public String getAllEmployeeApplicable() {
    return this.allEmployeeApplicable;
  }
  
  public void setAllEmployeeApplicable(String newAllEmployeeApplicable) {
    this.allEmployeeApplicable = newAllEmployeeApplicable;
  }
}
